Bug 17262 - eli.efi does not look in the current directory for the files
eli.efi does not look in the current directory for the files
Product: Red Hat Linux
Classification: Retired
Component: eli (Show other bugs)
ia64 Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2000-09-05 15:40 EDT by Matt Domsch
Modified: 2014-03-16 22:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-04-30 16:58:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2000-09-05 15:40:45 EDT
eli.efi does not look in the current directory for the files
listed in eli.cfg (such as initrd.img and vmlinux).  Apparently,
files must be in the root directory of the filesystem for 
eli.efi to find them.  It would greatly simplify our process if
the ability to find files in the current directory were added to
eli.efi's functionality.
Comment 1 Glen Foster 2001-01-11 16:17:24 EST
This defect is considered MUST-FIX for Florence Gold release
Comment 2 Matt Domsch 2001-01-12 13:11:55 EST
Dell's got a workaround in place for our factory install process which is 
sufficient.  I'll drop this to a RFE, low priority.
Comment 3 Bill Nottingham 2001-01-16 13:38:22 EST
OK. I'll mark this deferred for now. From what I remember, it would require
some not-insignificant changes to how eli handles files (need to dig
out the EFI api).

Comment 4 Bill Nottingham 2001-02-12 17:39:23 EST
Reopening, because if it stays deferred I'll never remember to look at it.
Comment 5 Glen Foster 2001-02-23 17:18:09 EST
Re-classifying this defect as Florence Must-Fix GOLD
Comment 6 Glen Foster 2001-02-23 17:32:38 EST
Re-classifying (again) as not a MUST-FIX (sorry for the mix-up).
Comment 7 Matt Domsch 2001-04-17 20:58:42 EDT
I moved this back to Red Hat Linux Beta, beta 3, for IA-64, as 7.1 isn't 
released yet to have this bug. :-)
Comment 8 Matt Domsch 2001-04-30 16:58:24 EDT
Wolverine beta replaces eli with elilo.  I'll open a separate bug against elilo 
if necessary.

Note You need to log in before you can comment on or make changes to this bug.